org.apache.ignite.ml.composition.boosting

## Class GDBRegressionTrainer

- java.lang.Object
- - org.apache.ignite.ml.trainers.DatasetTrainer<ModelsComposition,Double>
  - - org.apache.ignite.ml.composition.boosting.GDBTrainer
    - - org.apache.ignite.ml.composition.boosting.GDBRegressionTrainer

- Direct Known Subclasses:
    GDBRegressionOnTreesTrainer

      public abstract class GDBRegressionTrainer
      extends GDBTrainer

  Trainer for regressor using Gradient Boosting. This algorithm uses gradient of Mean squared error loss metric [MSE] in each step of learning.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ignite.ml.composition.boosting.GDBTrainer

      `GDBTrainer.GDBModel`

    - ### Nested classes/interfaces inherited from class org.apache.ignite.ml.trainers.DatasetTrainer

      `DatasetTrainer.EmptyDatasetException`

  - ### Field Summary

    - ### Fields inherited from class org.apache.ignite.ml.composition.boosting.GDBTrainer

      `checkConvergenceStgyFactory, loss`

    - ### Fields inherited from class org.apache.ignite.ml.trainers.DatasetTrainer

      `envBuilder, environment`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GDBRegressionTrainer(double gradStepSize, Integer cntOfIterations)` Constructs instance of GDBRegressionTrainer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected double` | `externalLabelToInternal(double x)` Maps external representation of label to internal.
    `protected double` | `internalLabelToExternal(double x)` Maps internal representation of label to external.
    `protected <V,K> boolean` | `learnLabels(DatasetBuilder<K,V> builder, Preprocessor<K,V> preprocessor)` Defines unique labels in dataset if need (useful in case of classification).
    `GDBRegressionTrainer` | `withEnvironmentBuilder(LearningEnvironmentBuilder envBuilder)` Changes learning Environment.

    - ### Methods inherited from class org.apache.ignite.ml.composition.boosting.GDBTrainer

      `buildBaseModelTrainer, computeInitialValue, fitWithInitializedDeployingContext, getLearningStrategy, isUpdateable, updateModel, withCheckConvergenceStgyFactory`

    - ### Methods inherited from class org.apache.ignite.ml.trainers.DatasetTrainer

      `fit, fit, fit, fit, fit, fit, getLastTrainedModelOrThrowEmptyDatasetException, identityTrainer, learningEnvironment, update, update, update, update, update, withConvertedLabels`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GDBRegressionTrainer

          public GDBRegressionTrainer(double gradStepSize,
                                      Integer cntOfIterations)

      Constructs instance of GDBRegressionTrainer.
      Parameters:
        `gradStepSize` - Grad step size.
        `cntOfIterations` - Count of learning iterations.

  - ### Method Detail

    - #### learnLabels

          protected <V,K> boolean learnLabels(DatasetBuilder<K,V> builder,
                                              Preprocessor<K,V> preprocessor)

      Defines unique labels in dataset if need (useful in case of classification).
      Specified by:
        `learnLabels` in class `GDBTrainer`
      Parameters:
        `builder` - Dataset builder.
        `preprocessor` - Upstream preprocessor.
      Returns:
        True if labels learning was successful.

    - #### externalLabelToInternal

          protected double externalLabelToInternal(double x)

      Maps external representation of label to internal.
      Specified by:
        `externalLabelToInternal` in class `GDBTrainer`
      Parameters:
        `x` - Label value.

    - #### internalLabelToExternal

          protected double internalLabelToExternal(double x)

      Maps internal representation of label to external.
      Specified by:
        `internalLabelToExternal` in class `GDBTrainer`
      Parameters:
        `x` - Label value.

    - #### withEnvironmentBuilder

          public GDBRegressionTrainer withEnvironmentBuilder(LearningEnvironmentBuilder envBuilder)

      Changes learning Environment.
      Overrides:
        `withEnvironmentBuilder` in class `GDBTrainer`
      Parameters:
        `envBuilder` - Learning environment builder.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020